Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class CopaymentType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.CopaymentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class CopaymentType

extends Object
implements Serializable

Java class for CopaymentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CopaymentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="copayment" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="startDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
                       <element name="endDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
                       <element name="regimeType" type="{http://www.w3.org/2001/XMLSchema}integer"/>
                       <element name="copayAmnt" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
                       <element name="solidFlatRateAmnt" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CopaymentType()`

Method Summary
`List<Copayment>` | `getCopayments()` Gets the value of the copayments property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopaymentType

    public CopaymentType()

Method Detail

### getCopayments

    public List<Copayment> getCopayments()

  Gets the value of the copayments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the copayments property.

  For example, to add a new item, do as follows:

          getCopayments().add(newItem);

  Objects of the following type(s) are allowed in the list `Copayment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.